Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		radeontool
#Epoch:		0
Version:	1.6.1
Release:	1
License:	GNU/GPL
URL:		http://people.freedesktop.org/~airlied/radeontool/
Group:		System/Configuration/Hardware
Summary:	lowlevel register tweak and dump tools for Radeon GPUs
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libpciaccess-devel

%description
radeontool (and avivotool) are lowlevel tools to tweak register and dump state on radeon
GPUs, they also can parse parts of the BIOS data tables.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/avivotool
%{_bindir}/radeontool

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Jul 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.6.1-1
- initial CCux package release
